Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 622576 - sys-apps/texinfo-6.6 partially ignores CFLAGS and LDFLAGS
Summary: sys-apps/texinfo-6.6 partially ignores CFLAGS and LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qa-cflags ldflags
  Show dependency tree
 
Reported: 2017-06-24 06:48 UTC by Michał Górny
Modified: 2019-02-23 15:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sys-apps:texinfo-6.4:20170624-052938.log (sys-apps:texinfo-6.4:20170624-052938.log,201.56 KB, text/x-log)
2017-06-24 06:48 UTC, Michał Górny
Details
Patch (texinfo.patch,1.20 KB, patch)
2019-02-10 03:17 UTC, Arfrever Frehtes Taifersar Arahesis
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-06-24 06:48:06 UTC
Created attachment 477784 [details]
sys-apps:texinfo-6.4:20170624-052938.log

* Messages for package sys-apps/texinfo-6.4:

 * QA Notice: Files built without respecting CFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib64/texinfo/MiscXS.so

(note that you need -frecord-gcc-switches for the QA check to work)


Portage 2.3.6 (python 3.5.3-final-0, !../../usr/src/gentoo/profiles/default/linux/amd64/13.0/desktop, gcc-5.4.0, glibc-2.24-r3, 4.11.0-pf5-mgorny-amd64+ x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.11.0-pf5-mgorny-amd64+-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_3800+-with-gentoo-2.4.1
Timestamp of repository gentoo: Sat, 24 Jun 2017 04:05:02 +0000
sh bash 4.4_p12
ld GNU gold (Gentoo 2.27 p1.0 2.27) 1.12
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1-r2::gentoo
dev-lang/python:          2.7.13::gentoo, 3.4.6::gentoo, 3.5.3::gentoo, 3.6.1-r1::gentoo
dev-util/ccache:          3.3.4::gentoo
dev-util/cmake:           3.8.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1::gentoo
sys-apps/openrc:          0.27.2::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r3::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15.1::gentoo
sys-devel/binutils:       2.27::gentoo, 2.28-r2::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo, 6.3.0::gentoo, 7.1.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.24-r3::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-umask: 027
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

python
    location: /home/mgorny/git/python-repo
    sync-umask: 027
    masters: gentoo

mgorny
    location: /home/mgorny/git/mgorny-repo
    sync-umask: 027
    masters: gentoo
    priority: 10000

Installed sets: @mg_depends_cb_agent, @mg_depends_qaweb
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="IBM OSL-1.1 Zend-2.0 Ms-PL APSL-2 EPL-1.0 MPL-1.1 LPPL-1.2 PHP-3.01 LGPL-2 Boost-1.0 gcc-runtime-library-exception-3.1 libgcc LGPL-3+ PSF-2.3 GPL-3+-with-opencl-exception GPL-3-with-font-exception IJG MIT Apache-2.0 GPL-3+-with-cuda-openssl-exception ZPL public-domain OPENLDAP unicode SGI-B-2.0 WTFPL-2 GPL-1 PSF-2 GPL-2-with-font-exception PYTHON GPL-2-with-classpath-exception LGPL-2-with-linking-exception GPL-2-with-exceptions Clear-BSD Nokia-Qt-LGPL-Exception-1.1 CeCILL-2 PSF-2.4 LGPL-3-with-linking-exception Ruby-BSD ECL-2.0 PSF-2.2 GPL-2+ LGPL-2.1 metapackage Ruby vim FTL GPL-2+-with-openssl-exception GPL-2 ISC GPL-3 BSD-2 GPL-1+ GPL-3+-with-opencl-openssl-exception AGPL-3 tanuki-community LGPL-2.1-with-linking-exception LGPL-2+ Clarified-Artistic GPL-3+ qwt Artistic-2 Sleepycat GPL-2-with-linking-exception CC0-1.0 LGPL-3 UPX-exception ZLIB GPL-3-with-openssl-exception AGPL-3+ Unlicense GPL-2-with-MySQL-FLOSS-exception W3C MPL-2.0 BSD GPL-3+-with-cuda-exception LGPL-2.1+ libstdc++ Transmission-OpenSSL-exception UoI-NCSA HPND MPL-1.0 Apache-1.1 BSD-4 AFL-3.0 OSL-2.1 CDDL AFL-2.1 NPL-1.1 openssl QPL Apache-1.0 gnuplot CPAL-1.0 OSL-2.0 QPL-1.0 CNRI EUPL-1.1 CPL-1.0 Time-modules ipadic alternate CRACKLIB Allegro Subversion tm-align YaTeX Info-ZIP BZIP2 boehm-gc PHP-2.02 pngcrush SVFL qmail-nelson the-Click-license Princeton otter FastCGI VTK ngrep gsm FLEX htmlc Sendmail tablelist PIZZA-WARE LPPL-1.3b bea.ri.jsr173 mapm-4.9.5 mm Crypt-IDEA perforce lsof xbatt photopc FLTK SMAIL DES mpich2 Openwall Emacs UCAR-Unidata scanlogd matplotlib LLVM-Grant totd BSD-1 ACE SNIA JOVE CMake FVWM minpack File-MMagic SSLeay freemarker imagemagick ipx-utils psutils tcltk HTML-Tidy noweb AMPAS iASL torque-2.5 yuuji Old-MIT dom4j LPPL-1.3 Ispell docbook CPL-0.5 pngnq Toyoda xboing Xdebug regexp-UofT BSD-with-attribution libtiff ElementTree flexmock LIBGLOSS netcat w3m gd BEER-WARE shrimp x2x IDPL tcp_wrappers_license canfep inner-net telegram Flashpix keynote ZSH libmng RSA symlinks Snd LLGPL-2.1 xtrs xvt icu XC TeX LambdaMOO repoze Mail-Sendmail buddy ErlPL-1.1 CAOSL feh JasPer2.0 TeX-other-free rwpng eGenixPublic-1.1 CDDL-Schily MIT-with-advertising openafs-krb5-a Time-Format bufexplorer.vim JDOM JNIC NEWLIB libodialog NCSA-HDF PCRE CeCILL-C Sendmail-Open-Source libpng rc freetts URT Mini-XML wxWinLL-3.1 Boost-1.0 LGPL-3+ IBM MIT nethack Apache-2.0 Artistic ZPL POSTGRESQL LGPL-2.1+ PSF-2 Ms-PL APSL-2 EPL-1.0 APL-1.0 MPL-1.1 NOSA PHP-3.01 MPL-1.0 ECL-2.0 OFL-1.1 GPL-2+ LGPL-2.1 Apache-1.1 AFL-3.0 ISC GPL-2 OSL-2.1 CDDL GPL-3 BSD-2 GPL-1+ AGPL-3 IPAfont LPPL-1.3c LGPL-2+ GPL-3+ Artistic-2 QPL Sleepycat LGPL-3 Watcom-1.0 PHP-3 wxWinLL-3 AGPL-3+ ZLIB W3C MPL-2.0 CPAL-1.0 BSD CNRI EUPL-1.1 UoI-NCSA HPND CPL-1.0 UbuntuFontLicense-1.0 vlgothic CC-SA-1.0 man-pages-posix-2013 MaxMind2 man-pages LDP-1 mplus-fonts wxWinFDL-3 LDP-1a Texinfo-manual Unicode_Fonts_for_Ancient_Scripts man-pages-posix BitstreamVera CC-PD quake1-textures myspell-en_CA-KevinAtkinson CC-BY-2.5 FDL-1.1+ FDL-1.2 CC-BY-SA-4.0 CC-BY-SA-3.0 FreeArt FDL-1.1 GPL-1 CC-BY-3.0 CC-BY-SA-2.0 FDL-1.2+ OFL-1.1 CC-BY-SA-2.5 GPL-2+ CC-BY-2.0 OFL GPL-2 GPL-3 GPL-1+ CC-BY-4.0 IPAfont FDL-1.3 GPL-3+ FDL-1.3+ OPL Arphic"
CBUILD="x86_64-pc-linux-gnu"
CC="x86_64-pc-linux-gnu-gcc-5.4.0"
CFLAGS="-march=k8-sse3 -mcx16 -msahf --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -O2 -pipe -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXX="x86_64-pc-linux-gnu-g++-5.4.0"
CXXFLAGS="-march=k8-sse3 -mcx16 -msahf --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -O2 -pipe -frecord-gcc-switches"
DISTDIR="/srv/nfs/common/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y --ask --keep-going --quiet-build=n --dynamic-deps=n"
FCFLAGS="-march=k8-sse3 -mcx16 -msahf --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -O2 -pipe -frecord-gcc-switches"
FEATURES="assume-digests binpkg-logs binpkg-multi-instance buildpkg cgroup collision-protect config-protect-if-modified distcc distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg"
FFLAGS="-march=k8-sse3 -mcx16 -msahf --param l1-cache-size=64 --param l1-cache-line-size=64 --param l2-cache-size=512 -O2 -pipe -frecord-gcc-switches"
GENTOO_MIRRORS="http://mirror.netcologne.de/gentoo/ http://gentoo.mirror.web4u.cz/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://gd.tuwien.ac.at/opsys/linux/gentoo/ http://gentoo.mirror.pw.edu.pl/ http://ftp.vectranet.pl/gentoo/ http://ftp.fi.muni.cz/pub/linux/gentoo/"
INSTALL_MASK="/test /usr/share/locale -/usr/share/locale/pl"
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j12"
PKGDIR="/srv/nfs/common/packages/athlon64"
PORTAGE_COMPRESS="lzip"
PORTAGE_COMPRESS_FLAGS="-9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --times --compress --force --whole-file --delete --stats --timeout=45 --exclude=/distfiles --exclude=/packages --exclude=/local --exclude=CVS --exclude=/metadata/cache --omit-dir-times"
PORTAGE_TMPDIR="/tmp"
USE="3dnow 3dnowext X a52 aac acl adns aio alsa amd64 ayatana bash-completion bluetooth branding btrfs bzip2 cairo caps cdda cdr cli crypt cups curl cxx dbus djvu dri dts dvb dvd dvdr egl emboss exif fftw firefox flac fontconfig fortran gd gif glamor gmp gnuplot gnutls gphoto2 gstreamer gtk iconv idn imagemagick ipv6 jpeg jpeg2k kate latex lcms libass libatomic liblockfile libnotify libproxy libsamplerate libsecret libtiger lz4 lzma lzo mad mmap mmxext mng modules mp3 mp4 mpeg mtp multilib ncurses nls nptl ogg openal opencl opengl openmp openvg opus osmesa pam pango pch pcre pcre-jit pdf plotutils png policykit postscript ppds pulseaudio qt3support readline sctp sdl seccomp session slang smp sndfile speex spell sse3 ssl startup-notification svg systemd t1lib tcpd threads tiff truetype udev udisks unicode upower usb v4l2 vaapi vhosts vim-syntax vorbis wavpack wayland webp wmf wxwidgets x264 xattr xcb xft xml xpm xv xvid xvmc zeroconf zlib zsh-completion" ABI_X86="64 32" ALSA_CARDS="hda-intel emu10k1 mpu401 pcsp virmidi" APACHE2_MODULES="socache_shmcb unixd actions alias deflate filter mime mime_magic negotiation rewrite" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 3dnow 3dnowext sse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="pl" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="pl" LIRC_DEVICES="serial" LLVM_TARGETS="*" NGINX_MODULES_HTTP="gzip limit_conn limit_req rewrite spdy uwsgi" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 jython2_7 pypy pypy3 python3_5 python3_6" QEMU_SOFTMMU_TARGETS="aarch64 arm i386 ppc ppc64 ppc64abi32 x86_64" QEMU_USER_TARGETS="aarch64 arm ppc ppc64" RUBY_TARGETS="ruby23" SANE_BACKENDS="artec_eplus48u" USERLAND="GNU" VIDEO_CARDS="nouveau radeon vesa r600 s3" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="INVALID"
Unset:  CPPFLAGS, CTARGET, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sys-apps/texinfo-6.4::gentoo was built with the following:
USE="nls -static" ABI_X86="64"
Comment 1 Arfrever Frehtes Taifersar Arahesis 2019-02-10 03:07:41 UTC
sys-apps/texinfo-6.5-r1:


 * QA Notice: Files built without respecting CFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib64/texinfo/MiscXS.so


 * QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/lib64/texinfo/MiscXS.so
 * /usr/lib64/texinfo/XSParagraph.so
Comment 2 Arfrever Frehtes Taifersar Arahesis 2019-02-10 03:17:39 UTC
Created attachment 564406 [details, diff]
Patch

configure.ac of texinfo-6.5 contains:

"""
# User variables for a Perl XS extension, which may be different, for
# example if the Perl interpreter being used was compiled with a
# different compiler.  Also in tp/Texinfo/Convert/XSParagraph/configure.ac.
AC_ARG_VAR([PERL_EXT_CFLAGS], [Compiler flags for a Perl extension])
AC_ARG_VAR([PERL_EXT_CPPFLAGS], [C preprocessor flags for a Perl extension])
AC_ARG_VAR([PERL_EXT_LDFLAGS], [Linker flags for a Perl extension])
AC_ARG_VAR([PERL_EXT_CC], [Compiler for a Perl extension])
"""

Exporting these variables is sufficient.
Comment 3 Larry the Git Cow gentoo-dev 2019-02-23 15:42:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90ff30b87cffc4ed9d4b3876195ad9ba24cdaa89

commit 90ff30b87cffc4ed9d4b3876195ad9ba24cdaa89
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2019-02-23 15:40:53 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-02-23 15:42:12 +0000

    sys-apps/texinfo: Respect CC/CPPFLAGS/CFLAGS/LDFLAGS.
    
    Closes: https://bugs.gentoo.org/622576
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 sys-apps/texinfo/{texinfo-6.6.ebuild => texinfo-6.6-r1.ebuild} | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)